@ECHO OFF
echo *** X-Copy PC 1.05 (INTERIM)
echo *** Alternative Installer
echo.
echo We have received reports that XCINST hangs on some
echo system configurations, a problem we are investigating.
echo If you experience difficulties installing X-Copy with
echo XCINST, this batch file performs a rudimentary installation.
echo.
echo After installation examine the ASCII text files, XCOPY.INI
echo and XLENT.INI; some settings may require modification,
echo particularly those related to sound cards and the
echo installation directory.
echo.
echo With apologies,
echo Cachet
echo.
echo Friday 3 December '93
echo.
pause
echo Ú INSTRUCTIONS: ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ Type INSTALL, followed by the source and  ³
echo ³ destination drive letters (':'            ³
echo ³ terminated), e.g.                         ³
echo ³       þ INSTALL A: C:                     ³
echo ³ would install X-Copy from drive A onto    ³
echo ³ drive C.                                  ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
IF X%1X == XX GOTO INVALIDPARAMS
IF X%2X == XX GOTO INVALIDPARAMS
IF NOT X%3X == XX GOTO INVALIDPARAMS
%2
MD \CACHET
CD \CACHET
%1LHARC X %1XCPROG.LZH
echo.
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ Installation complete. ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
GOTO END
:INVALIDPARAMS
echo ****************************************************
echo INVALID PARAMETERS
echo Correct usage:
echo       þ INSTALL source-drive: destination-drive:
echo ****************************************************
:END
